# Uses of Interface
org.springframework.aop.framework.AdvisorChainFactory

Packages that use AdvisorChainFactory
Package
Description
org.springframework.aop.framework
Package containing Spring's basic AOP infrastructure, compliant with the AOP Alliance interfaces.

## Uses of AdvisorChainFactory in org.springframework.aop.framework

Classes in org.springframework.aop.framework that implement AdvisorChainFactory
Modifier and Type
Class
Description
`class`
`DefaultAdvisorChainFactory`
A simple but definitive way of working out an advice chain for a Method, given an `Advised` object.
Methods in org.springframework.aop.framework that return AdvisorChainFactory
Modifier and Type
Method
Description
`AdvisorChainFactory`
AdvisedSupport.`getAdvisorChainFactory()`
Return the advisor chain factory to use (never `null`).
Methods in org.springframework.aop.framework with parameters of type AdvisorChainFactory
Modifier and Type
Method
Description
`void`
AdvisedSupport.`setAdvisorChainFactory(AdvisorChainFactory advisorChainFactory)`
Set the advisor chain factory to use.